## org.apache.mahout.clustering.lda.cvb
Class CVB0DocInferenceMapper

    java.lang.Object
      org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>
          org.apache.mahout.clustering.lda.cvb.CachingCVB0Mapper
              org.apache.mahout.clustering.lda.cvb.CVB0DocInferenceMapper

    public class CVB0DocInferenceMapper

extends CachingCVB0Mapper

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper
`org.apache.hadoop.mapreduce.Mapper.Context`

Constructor Summary
`CVB0DocInferenceMapper()`

Method Summary
`protected void` `cleanup(org.apache.hadoop.mapreduce.Mapper.Context context)`
`void` `map(org.apache.hadoop.io.IntWritable docId, VectorWritable doc, org.apache.hadoop.mapreduce.Mapper.Context context)`

Methods inherited from class org.apache.mahout.clustering.lda.cvb.CachingCVB0Mapper
`getMaxIters, getModelTrainer, getNumTopics, setup`

Methods inherited from class org.apache.hadoop.mapreduce.Mapper
`run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CVB0DocInferenceMapper

    public CVB0DocInferenceMapper()

Method Detail

### map

    public void map(org.apache.hadoop.io.IntWritable docId,
                    VectorWritable doc,
                    org.apache.hadoop.mapreduce.Mapper.Context context)
             throws IOException,
                    InterruptedException

  Overrides:
    `map` in class `CachingCVB0Mapper`
  Throws:
    `IOException`
    `InterruptedException`

### cleanup

    protected void cleanup(org.apache.hadoop.mapreduce.Mapper.Context context)

  Overrides:
    `cleanup` in class `CachingCVB0Mapper`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.